curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/{listId} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:15:00.812Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ENUMERATION",
"operator": "IS_ANY_OF",
"values": [
"inactive",
"active"
]
},
"property": "hs_content_membership_status"
},
{
"filterType": "IN_LIST",
"listId": 2,
"operator": "IN_LIST"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:15:00.812Z",
"listId": "1",
"listVersion": 1,
"name": "Snapshot List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "SNAPSHOT",
"size": 330,
"updatedAt": "2023-11-15T18:15:20.210Z",
"updatedById": "123"
}
}Rufen Sie eine einzelne Liste anhand von ILS list ID ab.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/{listId} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:15:00.812Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ENUMERATION",
"operator": "IS_ANY_OF",
"values": [
"inactive",
"active"
]
},
"property": "hs_content_membership_status"
},
{
"filterType": "IN_LIST",
"listId": 2,
"operator": "IN_LIST"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:15:00.812Z",
"listId": "1",
"listVersion": 1,
"name": "Snapshot List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "SNAPSHOT",
"size": 330,
"updatedAt": "2023-11-15T18:15:20.210Z",
"updatedById": "123"
}
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Die ILS-ID der abzurufenden Liste.
Ein Flag, das angibt, ob die Definition der Antwortobjektliste eine Definition der Filterverzweigung enthalten soll oder nicht. Standardmäßig werden bei Objektlistendefinitionen keine Definitionen der Filterverzweigung in die Antwort aufgenommen.
Successful response, for a request with includeFilters set to true.
The response for a list fetch request.
An object list definition.
Show child attributes